module.exports = class CssAdapter {
  constructor(from, target) {
    this.from = from;
    this.target = target;
    this.targetExt = '.json';
  }

  test(ext, assetKey) {
    return /app\.json$/.test(assetKey);
  }

  apply(asset) {
    if (this.target.global === 'tt') {
      // 字节跳动小程序不支持 分包配置，所以讲分包迁移成pages
      let source = String(asset.source());
      const json = JSON.parse(source);
      const pages = json.pages = json.pages || [];
      const subPackages = json.subPackages || [];
      subPackages.forEach((sub) => {
        (sub.pages || []).forEach((page) => {
          pages.push(sub.root + page);
        })
      })
      delete json.subPackages;
      source = JSON.stringify(json, null, 2);
      asset.source = () => source;
      asset.size = () => source.length;
    }
  }
}